Bug 124154 - mail/milter-bogom cores out intermittently
Summary: mail/milter-bogom cores out intermittently
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-31 08:30 UTC by Todd Florman
Modified: 2008-08-01 04:20 UTC (History)
0 users

See Also:


Attachments
bogom.patch (1.12 KB, patch)
2008-06-30 17:00 UTC, Victor Balada Diaz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Todd Florman 2008-05-31 08:30:02 UTC
mail/milter-bogom will core after running for several days, and other times only a few hours after last restart.  I am running this with the latest ports version of postfix (2.5.1 I believe) and when its running, the milter operates as expected.

I did run a backtrace on the core and here are the last few lines...

#128 0xbf7fcfec in ?? ()
#129 0x28201b00 in ?? ()
#130 0x00100000 in ?? ()
#131 0x00001000 in ?? ()
#132 0xbf2f9000 in ?? ()
Cannot access memory at address 0xbf3f9000

How-To-Repeat: Run the milter for several days on a not so busy postfix mail server and it should happen.  I have a friend who was trying this milter out on freebsd 6.2 and it too would core periodically on his machine as well.
Comment 1 Edwin Groothuis freebsd_committer 2008-05-31 09:06:44 UTC
Maintainer of mail/milter-bogom,

Please note that PR ports/124154 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/124154

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-05-31 09:06:45 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Victor Balada Diaz 2008-06-01 22:15:10 UTC
On Sat, May 31, 2008 at 08:06:44AM +0000, Edwin Groothuis wrote:
> Maintainer of mail/milter-bogom,
> 
> Please note that PR ports/124154 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/124154
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org

I've talked with bogom author and he told me postfix is not a supported
MTA. He told me last time he checked postfix's libmilter support wasn't
complete enough for bogom.

If you want, you can recompile the port with debug support (CFLAGS=-g) and
send a backtrace with that binary. I'll try to see what can i do, but i
don't promise anything.

Regards.

-- 
La prueba más fehaciente de que existe vida inteligente en otros
planetas, es que no han intentado contactar con nosotros.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2008-06-03 03:44:28 UTC
State Changed
From-To: feedback->analyzed

The software author is aware of the problem, but claims not to support this 
configuration.  The maintainer has volunteered to try to look at it.
Comment 5 Victor Balada Diaz 2008-06-30 17:00:16 UTC
With the useful information and coredumps provided by Todd I tracked down the
issue to an insufficient pointer check in bogom's code. I told it to the author
and he released a new version

Attached is the update to the port which fixes this issue.

Regards.
-- 
La prueba más fehaciente de que existe vida inteligente en otros
planetas, es que no han intentado contactar con nosotros. 
Comment 6 dfilter service freebsd_committer 2008-08-01 04:17:43 UTC
vs          2008-08-01 03:17:34 UTC

  FreeBSD ports repository

  Modified files:
    mail/milter-bogom    Makefile distinfo 
  Log:
  Update to 1.9.2
  
  PR:             ports/124154
  Submitted by:   maintainer
  
  Revision  Changes    Path
  1.11      +1 -2      ports/mail/milter-bogom/Makefile
  1.6       +3 -3      ports/mail/milter-bogom/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Volker Stolz freebsd_committer 2008-08-01 04:17:47 UTC
State Changed
From-To: analyzed->closed

An updated version has just been committed. Thanks for your submission!